## IdeDeviceProvider IdeDeviceProvider |

## Functions

void | ide_device_provider_emit_device_added ()
void | ide_device_provider_emit_device_removed ()
GPtrArray * | ide_device_provider_get_devices ()
gboolean | ide_device_provider_get_settled ()

## Types and Values

#define | IDE_TYPE_DEVICE_PROVIDER
struct | IdeDeviceProviderInterface
| IdeDeviceProvider

## Description

## Functions

### ide_device_provider_emit_device_added ()

    void
    ide_device_provider_emit_device_added (IdeDeviceProvider *provider,
                                           IdeDevice *device);

### ide_device_provider_emit_device_removed ()

    void
    ide_device_provider_emit_device_removed
                                   (IdeDeviceProvider *provider,
                                    IdeDevice *device);

### ide_device_provider_get_devices ()

    GPtrArray *
    ide_device_provider_get_devices (IdeDeviceProvider *provider);

Retrieves a list of devices currently managed by `provider` .

#### Returns

A GPtrArray of IdeDevice instances.

[transfer container][element-type IdeDevice*]

### ide_device_provider_get_settled ()

    gboolean
    ide_device_provider_get_settled (IdeDeviceProvider *provider);

## Types and Values

### IDE_TYPE_DEVICE_PROVIDER

    #define IDE_TYPE_DEVICE_PROVIDER (ide_device_provider_get_type())

### struct IdeDeviceProviderInterface

    struct IdeDeviceProviderInterface {
      GTypeInterface parent_interface;

      gboolean   (*get_settled) (IdeDeviceProvider *provider);
      GPtrArray *(*get_devices) (IdeDeviceProvider *provider);
    };

### IdeDeviceProvider

    typedef struct _IdeDeviceProvider IdeDeviceProvider;